@echo off
rem                           Ŀ
rem                            TEST.BAT 
rem                           
rem     A minor tutorial on the ANSI commands to control the screen
rem     cursor, colors, and "special effects."  ANSI.SYS must be added
rem     to the CONFIG.SYS file.  First run this batch file, then read
rem     the statements above each command in this batch file.
rem
rem     "This" means (or is equal to) the command on the next line
rem
rem     This sets the screen to bright white on blue
echo [0;1;37;44m
rem     This clears the screen (same as CLS command)
echo [2J
rem     This sets the cursor to row 12 column 20 displays a message
rem     in the screen colors
echo [12;20H  THIS IS BRIGHT WHITE ON BLUE BACKGROUND
rem     This is DOS's pause command.  It allows you to read the message
pause
rem     This goes back to the message and erases it; uses ANSI cursor
rem     location commands (H for position, K to erase to the end of the
rem     line)
echo [12;1H [K
echo [13;1H [K
rem     This locates the cursor and sets a command in color
echo [14;25H [0;1;36;40m PRESS ENTER TO CONTINUE
rem     Nul is a DOS ==device==.  It is a "bit bucket" and anything
rem     written to it is discarded.  Try writing FROM Nul and see what
rem     you get (no it's not dangerous or habit forming).  Used with the
rem     redirection operator (>) it suppresses the pause statement and
rem     allows you to use one of your own.
pause>nul
rem     This erases the above command to background color
echo [14H [44m [K
rem     This sets the screen to bright white on green
echo [0;1;37;42m
rem     This time we don't clear the screen so only new letters
rem     change to the new colors!
rem     This sets the cursor to row 12 column 20 &
rem     This displays a message in the NEW screen colors
echo [12;20H  THIS IS BRIGHT WHITE ON GREEN BACKGROUND
pause
rem     This goes back to the message and erases it
echo [12;1H [K
echo [13;1H [K
rem     This places the pause command on the 5th row of the screen
echo [4H
pause
rem     This erases the pause statement in the new color
echo [5H [K
rem     This time we do three (3) things. Place the message, change the
rem     colors of just that portion of the screen and set the
rem     screen message to bright blinking red on black
echo [12;20H [0;1;5;31;40m  THIS IS BLINKING BRIGHT RED ON BLACK BACKGROUND
rem     This is non blinking red on black
echo [14;25H [0;1;31;40m    Press any Key to Continue!
pause>nul
rem     This goes back to the message and erases it
echo [12;1H [K
echo [14;1H [K
echo [16;20H  [0;1;33;43m   PRESS ANY KEY TO END......
pause>nul
rem     And lastly, who says you can't draw colored boxes with
rem     ASCII and ANSI stuff!
rem     Just remember that ANSI code takes no space and adjust for
rem     it when making boxes, see below, if you count the spaces,
rem     you will find that the two ANSI code strings before and after
rem     "OR" take up no space so that the positions are off by the 12
rem     spaces on either side.
rem     References for this stuff are in ANSICOLR.DOC
echo [0;1;36;42m
cls
echo [12;10H    ͸
echo [13;10H              A N S I   M A D E   E A S Y         
echo [14;10H                                                  
echo [15;10H                       [0;1;31;40m  O R  [0;1;36;42m                    
echo [16;10H                                                  
echo [17;10H    C O L O R   F O R   B A T C H   F I L E S;

echo [19;10H               PRESS  {Enter} to say Goodbye
pause>nul
rem     This next command is the ASCII character 7, or beep
echo 
